OGRE-Next: Ogre::LodWorkQueueInjector Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Ogre::LodWorkQueueInjector Class Reference

Injects the output of a request to the mesh in a thread safe way. More...

`#include <OgreLodWorkQueueInjector.h>`

Inheritance diagram for Ogre::LodWorkQueueInjector:
[legend]

## Public Member Functions
| LodWorkQueueInjector ()
| ~LodWorkQueueInjector () override
LodWorkQueueInjectorListener * | getInjectorListener ()
void | handleResponse (const WorkQueue::Response *res, const WorkQueue *srcQ) override
| The handler method every subclass must implement.
void | removeInjectorListener ()
void | setInjectorListener (LodWorkQueueInjectorListener *injectorListener)
Public Member Functions inherited from Ogre::WorkQueue::ResponseHandler
| ResponseHandler ()
virtual | ~ResponseHandler ()
virtual bool | canHandleResponse (const Response *res, const WorkQueue *srcQ)
| Return whether this handler can process a given response.
Public Member Functions inherited from Ogre::Singleton< LodWorkQueueInjector >
| Singleton ()
| ~Singleton ()

## Static Public Member Functions
static LodWorkQueueInjector & | getSingleton ()
static LodWorkQueueInjector * | getSingletonPtr ()
Static Public Member Functions inherited from Ogre::Singleton< LodWorkQueueInjector >
static LodWorkQueueInjector & | getSingleton ()
static LodWorkQueueInjector * | getSingletonPtr ()

## Detailed Description

Injects the output of a request to the mesh in a thread safe way.

## Constructor & Destructor Documentation

## ◆ LodWorkQueueInjector()

Ogre::LodWorkQueueInjector::LodWorkQueueInjector | ( |  | ) |

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~LodWorkQueueInjector()

Ogre::LodWorkQueueInjector::~LodWorkQueueInjector | ( |  | ) |
| override

## Member Function Documentation

## ◆ getInjectorListener()

LodWorkQueueInjectorListener * Ogre::LodWorkQueueInjector::getInjectorListener | ( |  | ) |
| inline

## ◆ getSingleton()

static LodWorkQueueInjector & Ogre::LodWorkQueueInjector::getSingleton | ( |  | ) |
| static

References LodWorkQueueInjector().

## ◆ getSingletonPtr()

static LodWorkQueueInjector * Ogre::LodWorkQueueInjector::getSingletonPtr | ( |  | ) |
| static

References LodWorkQueueInjector().

## ◆ handleResponse()

void Ogre::LodWorkQueueInjector::handleResponse | ( | const WorkQueue::Response * | res,
|  | const WorkQueue * | srcQ )
| overridevirtual

The handler method every subclass must implement.

Parameters

  res | The Response structure. The caller is responsible for deleting this after the call is made, none of the data contained (except pointers to structures in user Any data) will persist after this call is returned.
  srcQ | The work queue that this request originated from

Implements Ogre::WorkQueue::ResponseHandler.

## ◆ removeInjectorListener()

void Ogre::LodWorkQueueInjector::removeInjectorListener | ( |  | ) |
| inline

## ◆ setInjectorListener()

void Ogre::LodWorkQueueInjector::setInjectorListener | ( | LodWorkQueueInjectorListener * | injectorListener | ) |
| inline

The documentation for this class was generated from the following file:

- OgreLodWorkQueueInjector.h